Get the user's favourites
curl --request GET \
--url https://punchplay.tv/api/platform/v1/me/favourites \
--header 'Authorization: Bearer <token>'import requests
url = "https://punchplay.tv/api/platform/v1/me/favourites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://punchplay.tv/api/platform/v1/me/favourites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 2,
"tmdbId": 2,
"kind": "<string>",
"mediaSource": "<string>",
"sourceId": 123,
"title": "<string>",
"posterPath": "<string>",
"backdropPath": "<string>",
"year": 123,
"season": 1,
"episode": 1,
"stillPath": "<string>",
"episodeTitle": "<string>",
"rating": 123,
"isFavourite": true,
"showStatus": "<string>",
"ratedAt": "2023-11-07T05:31:56Z",
"favouritedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 1,
"page": 2,
"pageSize": 2,
"hasMore": true,
"counts": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}Ratings
Get the user's favourites
GET
/
api
/
platform
/
v1
/
me
/
favourites
Get the user's favourites
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
⌘I